Retrieve OIDC device code
Retrieves an OIDC device code for device-based authentication.
Retrieves an OIDC device code for device-based authentication.
Tenant API Key for authentication
In: query
Path Parameters
OIDC App Name
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://TenantName.hub.loginradius.com/api/oidc/example_oidc_app/device" \ -H "Content-Type: application/json" \ -d '{ "client_id": "68106262-3938-4435-87ed-3e410b360209" }'{
"device_code": "device_code",
"expires_in": 1800,
"interval": 5,
"user_code": "user_code",
"verification_uri": "https://example.com/device/verification",
"verification_uri_complete": "https://example.com/device/verification?user_code=user_code"
}{
"error": "invalid_request",
"error_description": "The client_id is a required parameter."
}{
"error": "invalid_client",
"error_description": "The client_id is not valid, check your client_id again."
}{
"error": "unauthorized_client",
"error_description": "The Openid configuration not found."
}OAuth Authorization Server Metadata (well-known URI, OAuth) GET
Returns OAuth 2.0 Authorization Server Metadata (RFC 8414) using the well-known URI pattern. Path format is /.well-known/oauth-authorization-server/service/oauth/{OAuthAppName}.
Introspect OIDC token POST
Returns the active state and metadata of an OIDC access token (RFC 7662). Client must authenticate with client_id and client_secret (POST body or Basic). Invalid or expired tokens return active false.